Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet.servlet
Class PortletServletContext

    java.lang.Object
      org.apache.struts2.portlet.servlet.PortletServletContext

All Implemented Interfaces:
  javax.servlet.ServletContext

    public class PortletServletContext

extends Object
implements javax.servlet.ServletContext

Wrapper object exposing a `PortletContext` as a `ServletContext` instance. Clients accessing this context object will in fact operate on the `PortletContext` object wrapped by this context object.

Constructor Summary
`PortletServletContext(javax.portlet.PortletContext portletContext)`

Method Summary
`Object` | `getAttribute(String name)`
`Enumeration` | `getAttributeNames()`
`javax.servlet.ServletContext` | `getContext(String uripath)`
`String` | `getInitParameter(String name)`
`Enumeration` | `getInitParameterNames()`
`int` | `getMajorVersion()`
`String` | `getMimeType(String file)`
`int` | `getMinorVersion()`
`javax.servlet.RequestDispatcher` | `getNamedDispatcher(String name)` Returns a `PortletServletRequestDispatcher` wrapping the `PortletRequestDispatcher` as a `RequestDispatcher` instance.
`javax.portlet.PortletContext` | `getPortletContext()` Get the wrapped `PortletContext` instance.
`String` | `getRealPath(String path)`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(String path)` Returns a `PortletServletRequestDispatcher` wrapping the `PortletRequestDispatcher` as a `RequestDispatcher` instance.
`URL` | `getResource(String path)`
`InputStream` | `getResourceAsStream(String path)`
`Set` | `getResourcePaths(String path)`
`String` | `getServerInfo()`
`javax.servlet.Servlet` | `getServlet(String name)`
`String` | `getServletContextName()`
`Enumeration` | `getServletNames()`
`Enumeration` | `getServlets()`
`void` | `log(Exception exception, String msg)`
`void` | `log(String msg)`
`void` | `log(String message, Throwable throwable)`
`void` | `removeAttribute(String name)`
`void` | `setAttribute(String name, Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletServletContext

    public PortletServletContext(javax.portlet.PortletContext portletContext)

Method Detail

### getAttribute

    public Object getAttribute(String name)

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletContext`

### getAttributeNames

    public Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletContext`

### getContext

    public javax.servlet.ServletContext getContext(String uripath)

  Specified by:
    `getContext` in interface `javax.servlet.ServletContext`
  Throws:
    `IllegalStateException` - Not supported in a portlet.
  See Also:
    `ServletContext.getContext(java.lang.String)`

### getInitParameter

    public String getInitParameter(String name)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletContext`

### getInitParameterNames

    public Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletContext`

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `javax.servlet.ServletContext`

### getMimeType

    public String getMimeType(String file)

  Specified by:
    `getMimeType` in interface `javax.servlet.ServletContext`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `javax.servlet.ServletContext`

### getNamedDispatcher

    public javax.servlet.RequestDispatcher getNamedDispatcher(String name)

  Returns a `PortletServletRequestDispatcher` wrapping the `PortletRequestDispatcher` as a `RequestDispatcher` instance.

  Specified by:
    `getNamedDispatcher` in interface `javax.servlet.ServletContext`
  Returns:
    PortletServletRequestDispatcher
  See Also:
    `ServletContext.getNamedDispatcher(java.lang.String)`

### getRealPath

    public String getRealPath(String path)

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletContext`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(String path)

  Returns a `PortletServletRequestDispatcher` wrapping the `PortletRequestDispatcher` as a `RequestDispatcher` instance.

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletContext`
  Returns:
    PortletServletRequestDispatcher
  See Also:
    `ServletContext.getNamedDispatcher(java.lang.String)`

### getResource

    public URL getResource(String path)
                    throws MalformedURLException

  Specified by:
    `getResource` in interface `javax.servlet.ServletContext`
  Throws:
    `MalformedURLException`

### getResourceAsStream

    public InputStream getResourceAsStream(String path)

  Specified by:
    `getResourceAsStream` in interface `javax.servlet.ServletContext`

### getResourcePaths

    public Set getResourcePaths(String path)

  Specified by:
    `getResourcePaths` in interface `javax.servlet.ServletContext`

### getServerInfo

    public String getServerInfo()

  Specified by:
    `getServerInfo` in interface `javax.servlet.ServletContext`

### getServlet

    public javax.servlet.Servlet getServlet(String name)
                                     throws javax.servlet.ServletException

  Specified by:
    `getServlet` in interface `javax.servlet.ServletContext`
  Throws:
    `IllegalStateException` - Not supported in a portlet.
    `javax.servlet.ServletException`
  See Also:
    `ServletContext.getServlet(java.lang.String)`

### getServletContextName

    public String getServletContextName()

  Specified by:
    `getServletContextName` in interface `javax.servlet.ServletContext`

### getServletNames

    public Enumeration getServletNames()

  Specified by:
    `getServletNames` in interface `javax.servlet.ServletContext`
  Throws:
    `IllegalStateException` - Not supported in a portlet.
  See Also:
    `ServletContext.getServletNames()`

### getServlets

    public Enumeration getServlets()

  Specified by:
    `getServlets` in interface `javax.servlet.ServletContext`
  Throws:
    `IllegalStateException` - Not supported in a portlet.
  See Also:
    `ServletContext.getServlets()`

### log

    public void log(String msg)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(Exception exception,
                    String msg)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(String message,
                    Throwable throwable)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### removeAttribute

    public void removeAttribute(String name)

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletContext`

### setAttribute

    public void setAttribute(String name,
                             Object object)

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletContext`

### getPortletContext

    public javax.portlet.PortletContext getPortletContext()

  Get the wrapped `PortletContext` instance.

  Returns:
    The wrapped `PortletContext` instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.